Bug 1336883 - [RFE] Update the 'rct' command to allow not outputting content-set data
Summary: [RFE] Update the 'rct' command to allow not outputting content-set data
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Jerrido
QA Contact: John Sefler
Aneta Šteflová Petrová
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 17:07 UTC by Rich Jerrido
Modified: 2016-11-03 20:29 UTC (History)
7 users (show)

(edit)
*rct* now enables displaying only subscription data

The *rct* utility now accepts the "--no-content" option. Passing "--no-content" to the "rct cat-manifest" command ensures that *rct* displays only subscription data.
Clone Of:
(edit)
Last Closed: 2016-11-03 20:29:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Rich Jerrido 2016-05-17 17:07:04 UTC
Description of problem:

As a user of the 'rct' command, I frequently require only the subscription data  when running the 'rct cat-manifest' command. This RFE requests adding a new switch, to allow me to output only subscription data. 

This would be useful in troubleshooting as it keeps the amount of data that needs to be captured much smaller. 


Version-Release number of selected component (if applicable):
subscription-manager-1.15.9-15.el7.x86_64

Comment 1 Rich Jerrido 2016-05-17 17:07:59 UTC
Proposed upstream patch to enable this functionality

https://github.com/candlepin/subscription-manager/pull/1421

Comment 3 Thom Carlin 2016-05-19 10:14:17 UTC
+1, this would be quite useful for Lighthouse customers.

Comment 5 Alex Wood 2016-08-22 17:24:40 UTC
Fixed in commit 1c504528ba9b9d550c8d5c6d3a89c7330b417c2b

https://github.com/candlepin/subscription-manager/pull/1450

Comment 6 John Sefler 2016-08-23 13:19:48 UTC
Waiting on comment 5 pull request to be included in a build before QE verification.

Comment 7 John Sefler 2016-09-06 21:47:50 UTC
[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.17.10-1.el7.x86_64
[root@jsefler-rhel7 ~]# rpm -q subscription-manager --changelog | grep "Add --no-content"
- 1336883: Add --no-content switch to cat-manifest to reduce output.
[root@jsefler-rhel7 ~]# 

Moving back to ON_QA

Comment 8 John Sefler 2016-09-06 22:09:41 UTC
Verifying Version...
[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.17.12-1.el7.x86_64

[root@jsefler-rhel7 ~]# rct cat-manifest --help
Usage: rct cat-manifest [OPTIONS] MANIFEST_FILE

Print manifest information

Options:
  -h, --help    show this help message and exit
  --no-content  skip printing Content Sets   <========== VERIFIED



Demonstrating the original behavior of cat-manifest using a manifest that contains two subscriptions with many content sets (without the new --no-content option)...

[root@jsefler-rhel7 test-manifests]# rct cat-manifest manifest_RH0103708_RH00005.zip

+-------------------------------------------+
	Manifest
+-------------------------------------------+

General:
	Server: access.stage.redhat.com/management/distributors/
	Server Version: 0.8.16-1
	Date Created: 2013-08-12T17:19:11.112+0000
	Creator: 2013sku

Consumer:
	Name: jsefler
	UUID: ccf1b3d8-a4b4-4179-9ad4-e20c3be50a03
	Type: sam

Subscription:
	Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
	Quantity: 1
	Created: 2013-08-12T17:18:58.000+0000
	Start Date: 2013-06-21T04:00:00.000+0000
	End Date: 2014-06-21T03:59:59.000+0000
	Service Level: Premium
	Service Type: L1-L3
	Architectures: x86,x86_64,ia64,s390x,ppc,s390,ppc64
	SKU: RH0103708
	Contract: 10021391
	Order: 
	Account: 5225113
	Virt Limit: 4
	Requires Virt-who: True
	Entitlement File: export/entitlements/8a99f98340114f8801407389b0365786.json
	Certificate File: export/entitlement_certificates/3276012317478926861.pem
	Certificate Version: 1.0
	Provided Products:
		69: Red Hat Enterprise Linux Server
		180: Red Hat Beta
		205: Red Hat Software Collections Beta (for RHEL Server)
	Content Sets:
		/content/beta/rhel/server/5/$releasever/$basearch/cf-tools/1/os
		/content/beta/rhel/server/5/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/debug
		/content/beta/rhel/server/5/$releasever/$basearch/iso
		/content/beta/rhel/server/5/$releasever/$basearch/os
		/content/beta/rhel/server/5/$releasever/$basearch/rhev-agent/3/debug
		/content/beta/rhel/server/5/$releasever/$basearch/rhev-agent/3/os
		/content/beta/rhel/server/5/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/source/iso
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/debug
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/iso
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/os
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/vt/debug
		/content/beta/rhel/server/5/$releasever/$basearch/vt/os
		/content/beta/rhel/server/5/$releasever/$basearch/vt/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/cf-tools/1/debug
		/content/beta/rhel/server/6/$releasever/$basearch/cf-tools/1/os
		/content/beta/rhel/server/6/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/debug
		/content/beta/rhel/server/6/$releasever/$basearch/iso
		/content/beta/rhel/server/6/$releasever/$basearch/optional/debug
		/content/beta/rhel/server/6/$releasever/$basearch/optional/os
		/content/beta/rhel/server/6/$releasever/$basearch/optional/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/os
		/content/beta/rhel/server/6/$releasever/$basearch/rhev-agent/3/debug
		/content/beta/rhel/server/6/$releasever/$basearch/rhev-agent/3/os
		/content/beta/rhel/server/6/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/rhscl/1/debug
		/content/beta/rhel/server/6/$releasever/$basearch/rhscl/1/os
		/content/beta/rhel/server/6/$releasever/$basearch/rhscl/1/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/source/iso
		/content/beta/rhel/server/6/$releasever/$basearch/subscription-asset-manager/debug
		/content/beta/rhel/server/6/$releasever/$basearch/subscription-asset-manager/os
		/content/beta/rhel/server/6/$releasever/$basearch/subscription-asset-manager/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/debug
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/iso
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/os
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/cf-tools/1/os
		/content/dist/rhel/server/5/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/debug
		/content/dist/rhel/server/5/$releasever/$basearch/iso
		/content/dist/rhel/server/5/$releasever/$basearch/os
		/content/dist/rhel/server/5/$releasever/$basearch/productivity/debug
		/content/dist/rhel/server/5/$releasever/$basearch/productivity/os
		/content/dist/rhel/server/5/$releasever/$basearch/productivity/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/rhev-agent/3/debug
		/content/dist/rhel/server/5/$releasever/$basearch/rhev-agent/3/os
		/content/dist/rhel/server/5/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/source/iso
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/debug
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/iso
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/os
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/vt/debug
		/content/dist/rhel/server/5/$releasever/$basearch/vt/os
		/content/dist/rhel/server/5/$releasever/$basearch/vt/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/cf-tools/1/debug
		/content/dist/rhel/server/6/$releasever/$basearch/cf-tools/1/os
		/content/dist/rhel/server/6/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/debug
		/content/dist/rhel/server/6/$releasever/$basearch/iso
		/content/dist/rhel/server/6/$releasever/$basearch/optional/debug
		/content/dist/rhel/server/6/$releasever/$basearch/optional/os
		/content/dist/rhel/server/6/$releasever/$basearch/optional/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/os
		/content/dist/rhel/server/6/$releasever/$basearch/rhev-agent/3/debug
		/content/dist/rhel/server/6/$releasever/$basearch/rhev-agent/3/os
		/content/dist/rhel/server/6/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/source/iso
		/content/dist/rhel/server/6/$releasever/$basearch/subscription-asset-manager/1/debug
		/content/dist/rhel/server/6/$releasever/$basearch/subscription-asset-manager/1/os
		/content/dist/rhel/server/6/$releasever/$basearch/subscription-asset-manager/1/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/debug
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/iso
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/os
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/source/SRPMS
		/content/rhb/rhel/client/5/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/client/5/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/client/5/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/client/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/client/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/client/6/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/computenode/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/computenode/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/computenode/6/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/server/5/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/server/5/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/server/5/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/server/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/server/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/server/6/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/workstation/5/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/workstation/5/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/workstation/5/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/workstation/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/workstation/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/workstation/6/$releasever/$basearch/devtoolset/source/SRPMS

Subscription:
	Name: Red Hat Enterprise Linux Server, Self-support
	Quantity: 1
	Created: 2013-08-12T17:18:57.000+0000
	Start Date: 2013-06-17T04:00:00.000+0000
	End Date: 2014-06-17T03:59:59.000+0000
	Service Level: Self-support
	Service Type: L1-L3
	Architectures: x86,x86_64,ia64,s390x,ppc,s390,ppc64
	SKU: RH00005
	Contract: 10021306
	Order: 
	Account: 5225113
	Virt Limit: 1
	Requires Virt-who: True
	Entitlement File: export/entitlements/8a99f9844011489701407389ad2f3696.json
	Certificate File: export/entitlement_certificates/2003556926243662029.pem
	Certificate Version: 1.0
	Provided Products:
		69: Red Hat Enterprise Linux Server
		180: Red Hat Beta
	Content Sets:
		/content/beta/rhel/server/5/$releasever/$basearch/cf-tools/1/os
		/content/beta/rhel/server/5/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/debug
		/content/beta/rhel/server/5/$releasever/$basearch/iso
		/content/beta/rhel/server/5/$releasever/$basearch/os
		/content/beta/rhel/server/5/$releasever/$basearch/rhev-agent/3/debug
		/content/beta/rhel/server/5/$releasever/$basearch/rhev-agent/3/os
		/content/beta/rhel/server/5/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/source/iso
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/debug
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/iso
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/os
		/content/beta/rhel/server/5/$releasever/$basearch/supplementary/source/SRPMS
		/content/beta/rhel/server/5/$releasever/$basearch/vt/debug
		/content/beta/rhel/server/5/$releasever/$basearch/vt/os
		/content/beta/rhel/server/5/$releasever/$basearch/vt/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/cf-tools/1/debug
		/content/beta/rhel/server/6/$releasever/$basearch/cf-tools/1/os
		/content/beta/rhel/server/6/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/debug
		/content/beta/rhel/server/6/$releasever/$basearch/iso
		/content/beta/rhel/server/6/$releasever/$basearch/optional/debug
		/content/beta/rhel/server/6/$releasever/$basearch/optional/os
		/content/beta/rhel/server/6/$releasever/$basearch/optional/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/os
		/content/beta/rhel/server/6/$releasever/$basearch/rhev-agent/3/debug
		/content/beta/rhel/server/6/$releasever/$basearch/rhev-agent/3/os
		/content/beta/rhel/server/6/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/source/iso
		/content/beta/rhel/server/6/$releasever/$basearch/subscription-asset-manager/debug
		/content/beta/rhel/server/6/$releasever/$basearch/subscription-asset-manager/os
		/content/beta/rhel/server/6/$releasever/$basearch/subscription-asset-manager/source/SRPMS
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/debug
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/iso
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/os
		/content/beta/rhel/server/6/$releasever/$basearch/supplementary/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/cf-tools/1/os
		/content/dist/rhel/server/5/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/debug
		/content/dist/rhel/server/5/$releasever/$basearch/iso
		/content/dist/rhel/server/5/$releasever/$basearch/os
		/content/dist/rhel/server/5/$releasever/$basearch/productivity/debug
		/content/dist/rhel/server/5/$releasever/$basearch/productivity/os
		/content/dist/rhel/server/5/$releasever/$basearch/productivity/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/rhev-agent/3/debug
		/content/dist/rhel/server/5/$releasever/$basearch/rhev-agent/3/os
		/content/dist/rhel/server/5/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/source/iso
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/debug
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/iso
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/os
		/content/dist/rhel/server/5/$releasever/$basearch/supplementary/source/SRPMS
		/content/dist/rhel/server/5/$releasever/$basearch/vt/debug
		/content/dist/rhel/server/5/$releasever/$basearch/vt/os
		/content/dist/rhel/server/5/$releasever/$basearch/vt/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/cf-tools/1/debug
		/content/dist/rhel/server/6/$releasever/$basearch/cf-tools/1/os
		/content/dist/rhel/server/6/$releasever/$basearch/cf-tools/1/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/debug
		/content/dist/rhel/server/6/$releasever/$basearch/iso
		/content/dist/rhel/server/6/$releasever/$basearch/optional/debug
		/content/dist/rhel/server/6/$releasever/$basearch/optional/os
		/content/dist/rhel/server/6/$releasever/$basearch/optional/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/os
		/content/dist/rhel/server/6/$releasever/$basearch/rhev-agent/3/debug
		/content/dist/rhel/server/6/$releasever/$basearch/rhev-agent/3/os
		/content/dist/rhel/server/6/$releasever/$basearch/rhev-agent/3/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/source/iso
		/content/dist/rhel/server/6/$releasever/$basearch/subscription-asset-manager/1/debug
		/content/dist/rhel/server/6/$releasever/$basearch/subscription-asset-manager/1/os
		/content/dist/rhel/server/6/$releasever/$basearch/subscription-asset-manager/1/source/SRPMS
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/debug
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/iso
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/os
		/content/dist/rhel/server/6/$releasever/$basearch/supplementary/source/SRPMS
		/content/rhb/rhel/client/5/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/client/5/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/client/5/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/client/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/client/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/client/6/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/computenode/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/computenode/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/computenode/6/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/server/5/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/server/5/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/server/5/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/server/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/server/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/server/6/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/workstation/5/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/workstation/5/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/workstation/5/$releasever/$basearch/devtoolset/source/SRPMS
		/content/rhb/rhel/workstation/6/$releasever/$basearch/devtoolset/debug
		/content/rhb/rhel/workstation/6/$releasever/$basearch/devtoolset/os
		/content/rhb/rhel/workstation/6/$releasever/$basearch/devtoolset/source/SRPMS

[root@jsefler-rhel7 test-manifests]# 


Notice all of the Content Sets above.  Now let's demonstrate the new behavior using the same manifest with the new --no-content option...

[root@jsefler-rhel7 test-manifests]# rct cat-manifest --no-content manifest_RH0103708_RH00005.zip

+-------------------------------------------+
	Manifest
+-------------------------------------------+

General:
	Server: access.stage.redhat.com/management/distributors/
	Server Version: 0.8.16-1
	Date Created: 2013-08-12T17:19:11.112+0000
	Creator: 2013sku

Consumer:
	Name: jsefler
	UUID: ccf1b3d8-a4b4-4179-9ad4-e20c3be50a03
	Type: sam

Subscription:
	Name: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
	Quantity: 1
	Created: 2013-08-12T17:18:58.000+0000
	Start Date: 2013-06-21T04:00:00.000+0000
	End Date: 2014-06-21T03:59:59.000+0000
	Service Level: Premium
	Service Type: L1-L3
	Architectures: x86,x86_64,ia64,s390x,ppc,s390,ppc64
	SKU: RH0103708
	Contract: 10021391
	Order: 
	Account: 5225113
	Virt Limit: 4
	Requires Virt-who: True
	Entitlement File: export/entitlements/8a99f98340114f8801407389b0365786.json
	Certificate File: export/entitlement_certificates/3276012317478926861.pem
	Certificate Version: 1.0
	Provided Products:
		69: Red Hat Enterprise Linux Server
		180: Red Hat Beta
		205: Red Hat Software Collections Beta (for RHEL Server)
Subscription:
	Name: Red Hat Enterprise Linux Server, Self-support
	Quantity: 1
	Created: 2013-08-12T17:18:57.000+0000
	Start Date: 2013-06-17T04:00:00.000+0000
	End Date: 2014-06-17T03:59:59.000+0000
	Service Level: Self-support
	Service Type: L1-L3
	Architectures: x86,x86_64,ia64,s390x,ppc,s390,ppc64
	SKU: RH00005
	Contract: 10021306
	Order: 
	Account: 5225113
	Virt Limit: 1
	Requires Virt-who: True
	Entitlement File: export/entitlements/8a99f9844011489701407389ad2f3696.json
	Certificate File: export/entitlement_certificates/2003556926243662029.pem
	Certificate Version: 1.0
	Provided Products:
		69: Red Hat Enterprise Linux Server
		180: Red Hat Beta
[root@jsefler-rhel7 test-manifests]# 


VERIFIED: The printing of the Content Sets was excluded when the new --no-content option is passed to rct cat-manifest.

Comment 9 John Sefler 2016-09-06 22:15:12 UTC
Additional Info...
  These low severity bugs were opened against the new --no-content option...
    Bug 1369577
    Bug 1369522

Comment 10 Rehana 2016-09-07 12:39:49 UTC
another low severity man page bug for --no-content option
Bug 1373922

Comment 15 errata-xmlrpc 2016-11-03 20:29:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.